Skip to main content
GET
/
v2
/
schedules
/
{schedule_id}
/
replicas
/
{id}
Show
curl --request GET \
  --url https://api.incident.io/v2/schedules/{schedule_id}/replicas/{id} \
  --header 'Authorization: Bearer <token>'
{
  "schedule_replica": {
    "created_at": "2021-08-17T13:28:57.801578Z",
    "id": "01G0J1EXE7AXZ2C93K61WBPYEH",
    "last_sync_error": "Failed to find external user for Milly",
    "last_synced_at": "2023-11-07T13:33:30Z",
    "replica_fallback_user_id": "PA7AXXN",
    "replica_provider": "pagerduty",
    "replica_provider_id": "PO8107X",
    "schedule_id": "01G0J1EXE7AXZ2C93K61WBPYEH",
    "sources": [
      {
        "layer_id": "01G0J1EXE7AXZ2C93K61WBPYEH",
        "rotation_id": "01G0J1EXE7AXZ2C93K61WBPYEH"
      }
    ],
    "updated_at": "2021-08-17T13:28:57.801578Z",
    "user_statuses": [
      {
        "external_user_id": "PJYTRGS",
        "user_id": "01G0J1EXE7AXZ2C93K61WBPYEH"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

schedule_id
string
required

The parent schedule ID

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

id
string
required

The replica ID to show

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

schedule_replica
object
required
Example:
{
"created_at": "2021-08-17T13:28:57.801578Z",
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"last_sync_error": "Failed to find external user for Milly",
"last_synced_at": "2023-11-07T13:33:30Z",
"replica_fallback_user_id": "PA7AXXN",
"replica_provider": "pagerduty",
"replica_provider_id": "PO8107X",
"schedule_id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"sources": [
{
"layer_id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"rotation_id": "01G0J1EXE7AXZ2C93K61WBPYEH"
}
],
"updated_at": "2021-08-17T13:28:57.801578Z",
"user_statuses": [
{
"external_user_id": "PJYTRGS",
"user_id": "01G0J1EXE7AXZ2C93K61WBPYEH"
}
]
}